-----------------------------------
-- Area: East Sarutabaruta	
-- MOB:  Crawler	
-----------------------------------	

package.loaded["/scripts/zones/East_Sarutabaruta/MobIDs"] = nil;
require("/scripts/zones/East_Sarutabaruta/MobIDs");
require("/scripts/globals/fieldsofvalor");	
	
-----------------------------------	
-- onMobDeath	
-----------------------------------	
	
function onMobDeath(mob,killer)	
  checkRegime(killer,mob,92,2);
  checkRegime(killer,mob,93,2);

  -- Check if Mob is NM PHer
  if (inArray(SS_PH, mob:getID())) then

    -- Get NM's previous ToD
    SS_ToD = GetServerVariable("[POP]Spiny_Spipi");

    -- Check if NM window is open, and that the NM isn't popped already (ACTION_NONE = 0)
    if (SS_ToD <= os.time(t) and GetMobAction(SPINY_SPIPI) == 0 ) then

      -- Give Mob a 5% chance to spawn NM
      if (math.random((1),(20)) == 5) then

        -- Use the PH's pos
        SetMobPos(SPINY_SPIPI, mob:getXPos(), mob:getYPos(), mob:getZPos(), math.random((0),(360)));

        -- Set NM to spawn on PH respawn
        SpawnMob(SPINY_SPIPI, 'nil', 330);

        -- Set PH action to ACTION_NONE, and save id to DB until NM death
        SetServerVariable("[PH]Spiny_Spipi", mob:getID());
        DeterMob(mob:getID(), true);
      end

    end

  end
  
end;
